View Issue Details

IDProjectCategoryLast Update
0021102AI War 2[All Projects] Bug - GameplayMay 17, 2019 8:45 pm
Reporterx4000BughunterAssigned ToBadgerBadger 
Severityminor 
Status resolvedResolutionfixed 
Product VersionBETA 0.852 Directness Is Better 
Fixed in VersionBETA 0.861 Strength Of Remains 
Summary0021102: Crippled flag ships still display their strength in a system
DescriptionNameless terror: crippled flag ships still display their strength in a system. Makes it harder to gauge from galaxy view if a fleet needs to pull back/system needs more reinforcements while fighting.
TagsNo tags attached.

Activities

x4000Bughunter

Apr 22, 2019 12:35 pm

administrator  

damaged flagship still add stength.save (518,669 bytes)
damaged flagship still add stength.savemet (46 bytes)

trillioneyes

Apr 23, 2019 2:23 pm

reporter   ~0051347

I think this might also affect direct-placed ships like turrets and station-keepers that are still building. I haven't checked to be sure, but I feel like my defenses crumple quicker than the strength numbers say they should in systems where I've been building recently.

BadgerBadger

May 17, 2019 1:44 am

manager   ~0051660

This does make it really hard to know the actual effective strength of your forces

wm46

May 17, 2019 7:47 pm

reporter   ~0051669

Fixed for now, but I don't know if there'll be unforeseen consequences.

Ships that are unbuilt (remains), not claimed yet, crippled, and in the process of building are now left out of faction strength counting (galaxy view) and local strength counting (sidebar in planet)

BadgerBadger

May 17, 2019 8:18 pm

manager   ~0051671

Thanks Weapon Master

x4000Bughunter

May 17, 2019 8:45 pm

administrator   ~0051673

Thanks indeed! I do think that will help a lot.

Issue History

Date Modified Username Field Change
Apr 22, 2019 12:35 pm x4000Bughunter New Issue
Apr 22, 2019 12:35 pm x4000Bughunter File Added: damaged flagship still add stength.save
Apr 22, 2019 12:35 pm x4000Bughunter File Added: damaged flagship still add stength.savemet
Apr 23, 2019 2:23 pm trillioneyes Note Added: 0051347
May 17, 2019 1:44 am BadgerBadger Note Added: 0051660
May 17, 2019 7:47 pm wm46 Note Added: 0051669
May 17, 2019 8:18 pm BadgerBadger Assigned To => BadgerBadger
May 17, 2019 8:18 pm BadgerBadger Status new => resolved
May 17, 2019 8:18 pm BadgerBadger Resolution open => fixed
May 17, 2019 8:18 pm BadgerBadger Fixed in Version => BETA 0.861 Strength Of Remains
May 17, 2019 8:18 pm BadgerBadger Note Added: 0051671
May 17, 2019 8:45 pm x4000Bughunter Note Added: 0051673